fbsql_fetch_assoc
fbsql_fetch_lengths
FrontBase Functions
PHP Manual

# fbsql_fetch_field

Get column information from a result and return as an object

### Description

object fbsql_fetch_field ( resource `$result` [, int `$field_offset` ] )

Used in order to obtain information about fields in a certain query result.

### Parameters

`result`

  A result identifier returned by fbsql_query or fbsql_db_query.

`field_offset`

  The numerical offset of the field. The field index starts at 0. If not specified, the next field that wasn't yet retrieved by fbsql_fetch_field is retrieved.

### Return Values

Returns an object containing field information, or `FALSE` on errors.

The properties of the object are:

- name - column name
- table - name of the table the column belongs to
- max_length - maximum length of the column
- not_null - 1 if the column cannot be `NULL`
- type - the type of the column

### Examples

Example #1 fbsql_fetch_field example

`<?php
fbsql_connect($host, $user, $password)
or die("Could not connect");
$result = fbsql_db_query("database", "select * from table")
or die("Query failed");
# get column metadata
$i = 0;
while ($i < fbsql_num_fields($result)) {
echo "Information for column $i:<br />\n";
$meta = fbsql_fetch_field($result);
if (!$meta) {
echo "No information available<br />\n";
}
echo "<pre>
max_length: $meta->max_length
name: $meta->name
not_null: $meta->not_null
table: $meta->table
type: $meta->type
</pre>";
$i++;
}
fbsql_free_result($result);
?>`

### See Also

- fbsql_field_seek